From 712c42f106d6a362ad201b56881c707af4412dc7 Mon Sep 17 00:00:00 2001
From: Jeff Davis <jeff@j-davis.com>
Date: Sun, 19 Nov 2023 14:24:31 -0800
Subject: [PATCH v3 5/5] Use SH_STORE_HASH for GUC hash table.

---
 src/backend/utils/misc/guc.c | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/src/backend/utils/misc/guc.c b/src/backend/utils/misc/guc.c
index bcadbface6..1102ea9954 100644
--- a/src/backend/utils/misc/guc.c
+++ b/src/backend/utils/misc/guc.c
@@ -205,6 +205,7 @@ typedef struct
 	struct config_generic *gucvar;	/* -> GUC's defining structure */
 
 	/* needed by simplehash */
+	uint32	hash;
 	char status;
 } GUCHashEntry;
 
@@ -276,6 +277,8 @@ static char * guc_name_key(int elevel, const char *name);
 #define SH_EQUAL(tb, a, b)		(strcmp(a, b) == 0)
 #define	SH_SCOPE		static inline
 #define SH_DECLARE
+#define SH_GET_HASH(tb, a)		a->hash
+#define SH_STORE_HASH
 #define SH_DEFINE
 #include "lib/simplehash.h"
 
-- 
2.34.1

